Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache
Class NodeNotExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.util.NestedException
                  org.jboss.cache.CacheException
                      org.jboss.cache.NodeNotExistsException

All Implemented Interfaces:
  org.jboss.util.NestedThrowable, Serializable

public class NodeNotExistsException
extends CacheException

Thrown when an operation is attempted on a non-existing node in the cache

Version:
  $Id: NodeNotExistsException.java,v 1.1 2004/11/05 13:36:52 belaban Exp $
Author:
  Bela Ban.
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.jboss.util.NestedThrowable
`org.jboss.util.NestedThrowable.Util`

Field Summary

Fields inherited from class org.jboss.util.NestedException
`nested`

Fields inherited from interface org.jboss.util.NestedThrowable
`DETECT_DUPLICATE_NESTING, NESTED_TRACE_ENABLED, PARENT_TRACE_ENABLED`

Constructor Summary
`NodeNotExistsException()`
`NodeNotExistsException(String msg)`
`NodeNotExistsException(String msg, Throwable cause)`

Methods inherited from class org.jboss.util.NestedException
`getCause, getMessage, getNested, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeNotExistsException

    public NodeNotExistsException()

### NodeNotExistsException

    public NodeNotExistsException(String msg)

### NodeNotExistsException

    public NodeNotExistsException(String msg,
                                  Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.